<template>
    <form class="form"
          novalidate
          @submit.prevent="handleSubmit"
          enctype="multipart/form-data">

        <button class="btn form__submit btn--fullscreen" type="submit">
            {{t('routes.admin.children.reintialiser.name')}}
        </button>
    </form>
</template>

<script lang="ts" setup>
    import i18n from "@/i18n";
    import { useI18n } from "vue3-i18n";

    const { t } = useI18n()

    // eslint-disable-next-line
    const emit = defineEmits<{
        (event: "formSubmit"): void
    }>()

    async function handleSubmit(){
        emit("formSubmit")
    }

</script>
